--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: logger
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: Type
- !ruby/object:RI::MethodSummary 
  name: repository
- !ruby/object:RI::MethodSummary 
  name: root
- !ruby/object:RI::MethodSummary 
  name: setup
comment: 
- !ruby/struct:SM::Flow::P 
  body: "TODO: move to dm-more/dm-transaction"
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: VERSION
  value: "'0.10.1'.freeze"
full_name: DataMapper
includes: []

instance_methods: []

name: DataMapper
superclass: 
